// 本脚本只在不存在时会生成一次。组件逻辑写在当前脚本内。已存在不会再次生成覆盖 

using UnityEngine;
using FairyGUI;
using Fantasy;
using NBC;
using NBF.Utils;

namespace NBF
{
    public partial class ItemBasicInfoTag : GComponent
    {
        private void OnInited()
        {
        }

        public void SetInfo(ItemInfo itemInfo)
        {
            var itemConfig = Game.Tables.TbItem.Get((int)itemInfo.ConfigId);
            TextTitle.text = itemInfo.ConfigId.GetName();
            TextContent.text = itemInfo.ConfigId.GetDesc();
            TextTitle.SetQuality(itemInfo.Config.Quality);
        }
    }
}